Bug 451713 - e1000e kernel panic with 82566DM-2 and jumbo frames
e1000e kernel panic with 82566DM-2 and jumbo frames
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 16:27 EDT by Sterling Windmill
Modified: 2008-09-19 07:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-19 07:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sterling Windmill 2008-06-16 16:27:10 EDT
Description of problem:

On a system with integrated Intel 82566DM-2 gigabit ethernet, enabling jumbo
frames (tested with an MTU of 9000) results in a kernel panic with the included
version 0.2.0 e1000e driver. 

Installing version 0.2.9.5 of the e1000e driver available at sourceforge
remedies this issue and allows for an MTU of 9000 to be set without issue.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run a kernel with the 0.2.0 e1000e driver
2. Set an MTU of 9000 on an Intel 82566DM-2 NIC
  
Actual results:

Kernel panic

Expected results:

Increased MTU

Additional info:
Comment 1 Prarit Bhargava 2008-06-18 08:18:47 EDT
Hi Sterling,

Can you attach the panic output?

Thanks,

P.
Comment 2 Sterling Windmill 2008-06-18 10:34:03 EDT
It will take me a few days to setup netconsole and find time to force this
machine to crash. I will report back as soon as possible with my results.
Comment 3 Prarit Bhargava 2008-09-19 07:33:02 EDT
Closing as INSUFFICIENT_DATA.

P.

Note You need to log in before you can comment on or make changes to this bug.